﻿using System;
using System.Runtime.InteropServices;

namespace CSharpLib
{
    [ComVisible(true)]
    [Guid("1A741C67-8D57-4a83-8E0B-834D6D526D0C")]
    [ClassInterface(ClassInterfaceType.None)]
    public class NetClass : INetClassComVisible
    {
        public string StringValue
        {
            get
            {
                return "Example string";
            }
        }

        public string CreationTime
        {
            get;
            internal set;
        }

        public int IntegerValue
        {
            get
            {
                return 50;
                //throw new ApplicationException();
            }
        }

        public string CustomValue
        {
            get;
            internal set;
        }

        public int Add(int x, int y)
        {
            return x + y;
        }

        public NetClass() { }
    }

    [ComVisible(true)]
    [Guid("C27A0124-BA12-4323-B83C-68C27536F989")]
    public interface INetClassComVisible
    {
        string StringValue { get; }
        string CreationTime { get; }
        int IntegerValue { get; }
        string CustomValue { get; }
        int Add(int x, int y);
    }

}
