﻿using System;
using System.Runtime.InteropServices;

namespace CSharpLib
{
    [ComVisible(true)]
    [Guid("6D41F8B2-3485-4e8e-A3BA-BD1B0134FAA5")]
    [ClassInterface(ClassInterfaceType.None)]
    public class NetProvider : INetProviderComVisible
    {
        public NetProvider() { }

        public NetClass CreateInstance()
        {
            //In this way we could do some initialization before returning the object to C.
            var obj = new NetClass();
            obj.CreationTime = "Object created at " + DateTime.Now.ToString();
            return obj;
        }
    }

    [ComVisible(true)]
    [Guid("C468BCEB-F2F8-443b-85E1-3851D8165B8A")]
    public interface INetProviderComVisible
    {
        NetClass CreateInstance();
    }

}
